pid_file = "/home/vault/.pid"
vault {
  address = "https://vault-lb.scs.otc-service.com:8200"
  retry {
    num_retries = 5
  }
}
auto_auth {
    method {
        "mount_path" = "auth/kubernetes_scs"
        "config" = {
          "role" = "zuul"
        }
        "type" = "kubernetes"
      }
    sink "file" {
        config = {
            path = "/home/vault/.token"
        }
    }
}

api_proxy {
  use_auto_auth_token = "true"
  enforce_consistency = "always"
}

listener "tcp" {
  address = "127.0.0.1:8100"
  tls_disable = true
}

template {
  destination = "/vault/secrets/openstack/clouds.yaml"
  source = "/vault/custom/clouds.yaml.hcl"
  perms = "0640"
}
